For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
  • Processor Endpoints
    • POSTRun Processor
    • GETGet Processor Run
    • GETList Processor Runs
    • POSTCancel Processor Run
    • DELDelete Processor Run
    • GETGet Batch Processor Run
    • GETList Processors
    • POSTCreate Processor
    • POSTUpdate Processor
    • POSTPublish Processor Version
    • GETGet Processor Version
    • GETList Processor Versions
  • Parse Endpoints
    • POSTParse File
    • POSTParse File Async
    • GETGet Parser Run
    • DELDelete Parser Run
  • Workflow Endpoints
    • POSTRun Workflow
    • GETGet Workflow Run
    • GETList Workflow Runs
    • POSTUpdate Workflow Run
    • POSTCancel Workflow Run
    • DELDelete Workflow Run
    • POSTCreate Workflow
    • POSTBatch Run Workflow
    • POSTCorrect Workflow Run Outputs
  • File Endpoints
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • GETList Files
    • POSTCreate File
  • Edit Endpoints
    • POSTEdit File
    • POSTEdit File Async
    • POSTGenerate Edit Schema
    • GETGet Edit Run
    • DELDelete Edit Run
    • GETGet Edit Template
  • Evaluation Set Endpoints
    • GETGet Evaluation Set
    • GETList Evaluation Sets
    • POSTCreate Evaluation Set
    • GETList Evaluation Set Items
    • POSTCreate Evaluation Set Item
    • POSTUpdate Evaluation Set Item
    • DELDelete Evaluation Set Item
    • POSTBulk Create Evaluation Set Items
LogoLogo
Book a demoLog in
Processor Endpoints

Update Processor

POST
https://api.extend.ai/processors/:id
POST
/processors/:id
1from extend_ai import Extend
2
3client = Extend(
4 token="YOUR_TOKEN_HERE",
5 extend_api_version="2025-04-21",
6)
7
8client.processor.update(
9 id="processor_id_here",
10)
1{
2 "success": true,
3 "processor": {
4 "object": "document_processor",
5 "id": "dp_Xj8mK2pL9nR4vT7qY5wZ",
6 "name": "Invoice Processor",
7 "type": "EXTRACT",
8 "createdAt": "2024-03-21T15:30:00Z",
9 "updatedAt": "2024-03-21T16:45:00Z",
10 "draftVersion": {
11 "object": "document_processor_version",
12 "id": "dpv_xK9mLPqRtN3vS8wF5hB2cQ",
13 "processorId": "dp_Xj8mK2pL9nR4vT7qY5wZ",
14 "processorType": "EXTRACT",
15 "version": "draft",
16 "config": {
17 "type": "CLASSIFY",
18 "baseProcessor": "classification_performance",
19 "baseVersion": "3.2.0",
20 "classifications": [
21 {
22 "id": "my_unique_id",
23 "type": "invoice",
24 "description": "An invoice is a document that lists the items purchased and the total amount due."
25 }
26 ],
27 "classificationRules": "Remember, when it comes to differentiating between invoices and purchase orders, the most important thing to look for is the date of the document.",
28 "advancedOptions": {
29 "context": "default",
30 "advancedMultimodalEnabled": false,
31 "fixedPageLimit": 30,
32 "pageRanges": [
33 {
34 "start": 1,
35 "end": 10
36 },
37 {
38 "start": 20,
39 "end": 30
40 }
41 ]
42 },
43 "parser": {
44 "target": "markdown",
45 "chunkingStrategy": {
46 "type": "page",
47 "options": {
48 "minCharacters": 100,
49 "maxCharacters": 1000
50 }
51 },
52 "engine": "parse_performance",
53 "blockOptions": {
54 "figures": {
55 "enabled": true,
56 "figureImageClippingEnabled": true
57 },
58 "tables": {
59 "enabled": true,
60 "targetFormat": "markdown",
61 "tableHeaderContinuationEnabled": false,
62 "cellBlocksEnabled": false,
63 "agentic": {
64 "enabled": false,
65 "customInstructions": "string"
66 }
67 },
68 "text": {
69 "signatureDetectionEnabled": true,
70 "agentic": {
71 "enabled": false,
72 "customInstructions": "string"
73 }
74 }
75 },
76 "advancedOptions": {
77 "pageRotationEnabled": true,
78 "agenticOcrEnabled": false,
79 "pageRanges": [
80 {
81 "start": 1,
82 "end": 10
83 },
84 {
85 "start": 20,
86 "end": 30
87 }
88 ],
89 "excelParsingMode": "basic",
90 "excelSkipHiddenContent": false,
91 "excelUseRawCellValues": false,
92 "excelSkipCalculation": true,
93 "verticalGroupingThreshold": 1,
94 "returnOcr": {
95 "words": false
96 },
97 "alwaysConvertToPdf": false
98 }
99 }
100 },
101 "createdAt": "2024-03-21T15:30:00Z",
102 "updatedAt": "2024-03-21T16:45:00Z",
103 "processorName": "Invoice Processor",
104 "description": "Updated extraction fields for new invoice format"
105 }
106 }
107}
Update an existing processor in Extend
Was this page helpful?
Previous

Publish Processor Version

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the processor to update.

Example: "dp_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2025-04-21"OptionalDefaults to 2025-04-21
API version to use for the request. If you do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2025-04-21/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2025-04-21/developers/authentication) for details on API key scopes.

Request

This endpoint expects an object.
namestringOptional
The new name for the processor
configobjectOptional
The new configuration for the processor. The type of configuration must match the processor type: * For classification processors, use `ClassificationConfig` * For extraction processors, use `ExtractionConfig` * For splitter processors, use `SplitterConfig`

Response

Successfully updated processor
successboolean
processorobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error

API version to use for the request. If you do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

The new configuration for the processor. The type of configuration must match the processor type:

  • For classification processors, use ClassificationConfig
  • For extraction processors, use ExtractionConfig
  • For splitter processors, use SplitterConfig